ros-rolling-rviz-default-plugins (15.1.6-1noble) noble; urgency=high

  * Better handling of missing transport plugins (#1488 <https://github.com/ros2/rviz/issues/1488>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Jul 2025 00:00:00 -0000

ros-rolling-rviz-default-plugins (15.1.5-1noble) noble; urgency=high

  * Fixed deprecation warning on point_cloud_transport: rmw_qos_profile_t (#1491 <https://github.com/ros2/rviz/issues/1491>)
  * Add symbol visibility macros to make*Palette public functions (#1492 <https://github.com/ros2/rviz/issues/1492>)
  * Contributors: Alejandro Hernández Cordero, Silvio Traversaro

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 27 Jun 2025 00:00:00 -0000

ros-rolling-rviz-default-plugins (15.1.4-1noble) noble; urgency=high

  * Fix /rviz/get_resource (#1487 <https://github.com/ros2/rviz/issues/1487>)
  * Removed point_cloud_transport deprecation (#1474 <https://github.com/ros2/rviz/issues/1474>)
  * Frame view controller: Removed warnings (#1470 <https://github.com/ros2/rviz/issues/1470>)
  * Fix compile with qt6 (#1475 <https://github.com/ros2/rviz/issues/1475>)
  * Fix Issue with Quaternion Angular Distance (#1473 <https://github.com/ros2/rviz/issues/1473>)
  * PointStampedDisplay: Ignore incoming messages if disabled (#1036 <https://github.com/ros2/rviz/issues/1036>)
  * Contributors: Alejandro Hernández Cordero, Harrison Chen, mosfet80

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 20 Jun 2025 00:00:00 -0000

ros-rolling-rviz-default-plugins (15.1.3-1noble) noble; urgency=high

  * Removed unused headers from resouce retriever (#1463 <https://github.com/ros2/rviz/issues/1463>)
  * feat: support both qt5 and qt6 (#1187 <https://github.com/ros2/rviz/issues/1187>)
  * Contributors: Alejandro Hernández Cordero, Daisuke Nishimatsu

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 20 May 2025 00:00:00 -0000

ros-rolling-rviz-default-plugins (15.1.2-1noble) noble; urgency=high

  * [rviz_default_plugins] Add missing export dependencies (#1461 <https://github.com/ros2/rviz/issues/1461>)
  * Backported FrameAligned camera (#1453 <https://github.com/ros2/rviz/issues/1453>)
  * Contributors: Felix Exner (fexner), Georg Flick

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 14 May 2025 00:00:00 -0000

ros-rolling-rviz-default-plugins (15.1.1-1noble) noble; urgency=high

  * Changed Marker Displays to allow toggling visibility of namespaces (#1402 <https://github.com/ros2/rviz/issues/1402>)
  * Do not use ${Qt5Widgets_INCLUDE_DIRS} to avoid creating non-relocatable CMake config files (#1450 <https://github.com/ros2/rviz/issues/1450>)
  * Contributors: Silvio Traversaro, Stefan Fabian

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 May 2025 00:00:00 -0000

ros-rolling-rviz-default-plugins (15.1.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 25 Apr 2025 00:00:00 -0000

ros-rolling-rviz-default-plugins (15.0.0-1noble) noble; urgency=high

  * PointCloudDisplay: Fix decay time 0 keeping more than the last message (#1400 <https://github.com/ros2/rviz/issues/1400>)
  * Work in progress using the new resource retriever apis (#1262 <https://github.com/ros2/rviz/issues/1262>)
  * Include chrono (#1353 <https://github.com/ros2/rviz/issues/1353>)
  * Contributors: Matthew Foran, Michael Carroll, Stefan Fabian

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 25 Apr 2025 00:00:00 -0000

ros-rolling-rviz-default-plugins (14.4.4-1noble) noble; urgency=high

  * fix: add rclcpp::shutdown (#1343 <https://github.com/ros2/rviz/issues/1343>)
  * Contributors: Yuyuan Yuan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 20 Mar 2025 00:00:00 -0000

ros-rolling-rviz-default-plugins (14.4.3-1noble) noble; urgency=high

  * Nv12 color format (#1318 <https://github.com/ros2/rviz/issues/1318>)
    Co-authored-by: zycczy <mailto:zycczyby@gmail.com>
  * uniform CMAKE requirement (#1335 <https://github.com/ros2/rviz/issues/1335>)
  * Contributors: mosfet80, quic-zhaoyuan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 27 Feb 2025 00:00:00 -0000

ros-rolling-rviz-default-plugins (14.4.2-1noble) noble; urgency=high

  * Initialize lookup table only once at compile time (#1330 <https://github.com/ros2/rviz/issues/1330>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Patrick Roncagliolo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 31 Jan 2025 00:00:00 -0000

ros-rolling-rviz-default-plugins (14.4.1-1noble) noble; urgency=high

  * Fixed the XY Orbit controller move (#1327 <https://github.com/ros2/rviz/issues/1327>)
    Co-authored-by: Terry Scott <mailto:tscott@seegrid.com>
  * Contributors: Terry Scott

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 15 Jan 2025 00:00:00 -0000

ros-rolling-rviz-default-plugins (14.4.0-1noble) noble; urgency=high

  * Fix Deprecated tf2 headers (#1289 <https://github.com/ros2/rviz/issues/1289>)
  * Change EffortDisplay superclass from MessageFilterDisplay to RosTopicDisplay to avoid dropping messages with empty frame_id. (#1312 <https://github.com/ros2/rviz/issues/1312>)
  * Fix access control for Accel, Effort and Twist displays (#1311 <https://github.com/ros2/rviz/issues/1311>)
  * Contributors: Lucas Wendland, disRecord, suchetanrs

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 20 Dec 2024 00:00:00 -0000

ros-rolling-rviz-default-plugins (14.3.3-1noble) noble; urgency=high

  * remove unused variable (#1301 <https://github.com/ros2/rviz/issues/1301>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Nov 2024 00:00:00 -0000

ros-rolling-rviz-default-plugins (14.3.2-1noble) noble; urgency=high

  * include QString (#1298 <https://github.com/ros2/rviz/issues/1298>)
  * Clean code for Image display (#1271 <https://github.com/ros2/rviz/issues/1271>)
  * Contributors: Matthew Foran, Peng Wang

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 20 Nov 2024 00:00:00 -0000

ros-rolling-rviz-default-plugins (14.3.1-1noble) noble; urgency=high

  * Handle time source exception (#1285 <https://github.com/ros2/rviz/issues/1285>)
  * Contributors: Matthew Foran

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 11 Oct 2024 00:00:00 -0000

ros-rolling-rviz-default-plugins (14.3.0-1noble) noble; urgency=high

  * replace deprecated encodings 'yuv422' and 'yuv422_yuy2' (#1276 <https://github.com/ros2/rviz/issues/1276>)
  * Contributors: Christian Rauch

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 03 Oct 2024 00:00:00 -0000

ros-rolling-rviz-default-plugins (14.2.6-1noble) noble; urgency=high

  * Update urdf model.h deprecation (#1266 <https://github.com/ros2/rviz/issues/1266>)
  * Enabling manual space width for TextViewFacingMarker (#1261 <https://github.com/ros2/rviz/issues/1261>)
  * Contributors: Alejandro Hernández Cordero, Tom Moore

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 28 Aug 2024 00:00:00 -0000

ros-rolling-rviz-default-plugins (14.2.5-1noble) noble; urgency=high

  * Added more time to copyright on Windwos (#1252 <https://github.com/ros2/rviz/issues/1252>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 29 Jul 2024 00:00:00 -0000

ros-rolling-rviz-default-plugins (14.2.4-1noble) noble; urgency=high

  * Updated deprecated message filter headers (#1239 <https://github.com/ros2/rviz/issues/1239>)
  * Fixed RViz default plugin license linter (#1230 <https://github.com/ros2/rviz/issues/1230>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 19 Jul 2024 00:00:00 -0000

ros-rolling-rviz-default-plugins (14.2.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 25 Jun 2024 00:00:00 -0000

ros-rolling-rviz-default-plugins (14.2.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 17 Jun 2024 00:00:00 -0000

ros-rolling-rviz-default-plugins (14.2.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 24 May 2024 00:00:00 -0000

ros-rolling-rviz-default-plugins (14.2.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 26 Apr 2024 00:00:00 -0000

ros-rolling-rviz-default-plugins (14.1.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 16 Apr 2024 00:00:00 -0000

ros-rolling-rviz-default-plugins (14.0.0-1noble) noble; urgency=high

  * Make sure to export all rviz_default_plugins dependencies. (#1181 <https://github.com/ros2/rviz/issues/1181>)
  * Increase the cpplint timeout to 180 seconds. (#1179 <https://github.com/ros2/rviz/issues/1179>)
  * Switch to gz_math_vendor. (#1177 <https://github.com/ros2/rviz/issues/1177>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 07 Apr 2024 00:00:00 -0000

ros-rolling-rviz-default-plugins (13.4.2-1noble) noble; urgency=high

  * Fixed camera info warning (#1175 <https://github.com/ros2/rviz/issues/1175>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 27 Mar 2024 00:00:00 -0000

ros-rolling-rviz-default-plugins (13.4.1-1noble) noble; urgency=high

  * Added CameraInfo display (#1166 <https://github.com/ros2/rviz/issues/1166>)
  * apply origin rotation to inertia box visualization (#1171 <https://github.com/ros2/rviz/issues/1171>)
  * Added regex filter field for TF display (#1032 <https://github.com/ros2/rviz/issues/1032>)
  * Added point_cloud_transport (#1008 <https://github.com/ros2/rviz/issues/1008>)
  * Contributors: Alejandro Hernández Cordero, Jonas Otto

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 Mar 2024 00:00:00 -0000

ros-rolling-rviz-default-plugins (13.4.0-1noble) noble; urgency=high

  * Select QoS reliability policy in DepthCloud Plugin (#1159 <https://github.com/ros2/rviz/issues/1159>)
  * Fixed crash on DepthCloud plugin (#1161 <https://github.com/ros2/rviz/issues/1161>)
  * Fixes for uncrustify 0.78. (#1155 <https://github.com/ros2/rviz/issues/1155>)
    Mostly what we do here is to disable the indentation on
    certain constructs that are different between 0.72 and
    0.78.  It isn't my preferred solution, but since it only
    affects a small amount of code (and most of that in macros),
    this seems acceptable to me.
  * Fixed crash on DepthCloudPlugin (#1133 <https://github.com/ros2/rviz/issues/1133>)
  * Wrench accepth nan values fix (#1141 <https://github.com/ros2/rviz/issues/1141>)
  * DepthCloud plugin: Append measured subscription frequency to topic status (#1137 <https://github.com/ros2/rviz/issues/1137>)
  * Added Cache to camera display for TimeExact (#1138 <https://github.com/ros2/rviz/issues/1138>)
  * Fixed transport name in DepthCloud plugin (#1134 <https://github.com/ros2/rviz/issues/1134>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 09 Mar 2024 00:00:00 -0000

ros-rolling-rviz-default-plugins (13.3.1-1noble) noble; urgency=high

  * Fix time-syncing message (#1121 <https://github.com/ros2/rviz/issues/1121>)
  * Switch from ROS_TIME to SYSTEM_TIME on rclcpp::Time construction (#1117 <https://github.com/ros2/rviz/issues/1117>)
  * Append measured subscription frequency to topic status (#1113 <https://github.com/ros2/rviz/issues/1113>)
  * Contributors: Alejandro Hernández Cordero, Austin Moore, Yadu

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 24 Jan 2024 00:00:00 -0000

ros-rolling-rviz-default-plugins (13.3.0-1noble) noble; urgency=high

  * Fix typo (#1104 <https://github.com/ros2/rviz/issues/1104>)
  * Fix potencial leak / seg fault (#726 <https://github.com/ros2/rviz/issues/726>)
  * Fixed screw display (#1093 <https://github.com/ros2/rviz/issues/1093>)
  * Explicit time conversions and comparisons (#1087 <https://github.com/ros2/rviz/issues/1087>)
  * Handle missing effort limit in URDF (#1084 <https://github.com/ros2/rviz/issues/1084>)
  * Contributors: AiVerisimilitude, Alejandro Hernández Cordero, Christoph Fröhlich, Patrick Roncagliolo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-rolling-rviz-default-plugins (13.2.0-1noble) noble; urgency=high

  * (robot) fix styling of log msg (#1080 <https://github.com/ros2/rviz/issues/1080>)
  * Fix image display wrapping (#1038 <https://github.com/ros2/rviz/issues/1038>)
  * removed enableInteraction reference (#1075 <https://github.com/ros2/rviz/issues/1075>)
  * Contributors: Alejandro Hernández Cordero, Lewe Christiansen, Matthijs van der Burgh

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 06 Nov 2023 00:00:00 -0000

ros-rolling-rviz-default-plugins (13.1.2-1noble) noble; urgency=high

  * Fix ODR violations in interactive_marker displays. (#1068 <https://github.com/ros2/rviz/issues/1068>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 09 Oct 2023 00:00:00 -0000

ros-rolling-rviz-default-plugins (13.1.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 04 Oct 2023 00:00:00 -0000

ros-rolling-rviz-default-plugins (13.1.0-1noble) noble; urgency=high

  * Improve error handling in LaserScanDisplay (#1035 <https://github.com/ros2/rviz/issues/1035>)
  * Fix implicit capture of "this" warning in C++20 (#1053 <https://github.com/ros2/rviz/issues/1053>)
  * Removed unused code (#1044 <https://github.com/ros2/rviz/issues/1044>)
  * Contributors: AiVerisimilitude, Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rviz-default-plugins (13.0.0-1noble) noble; urgency=high

  * Fixed AccelStamped, TwistStamped and Wrench icons (#1041 <https://github.com/ros2/rviz/issues/1041>)
  * Fix the flakey rviz_rendering tests (#1026 <https://github.com/ros2/rviz/issues/1026>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rviz-default-plugins (12.8.0-1noble) noble; urgency=high

  * Don't pass screw_display.hpp to the moc generator. (#1018 <https://github.com/ros2/rviz/issues/1018>)
    Since it isn't a Qt class, you get a warning from moc:
    Note: No relevant classes found. No output generated.
    Just skip adding it to the moc list here, which gets rid
    of the warning.
  * Added DepthCloud default plugin (#996 <https://github.com/ros2/rviz/issues/996>)
  * Added TwistStamped and AccelStamped default plugins (#991 <https://github.com/ros2/rviz/issues/991>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 27 Aug 2023 00:00:00 -0000

ros-rolling-rviz-default-plugins (12.7.0-1noble) noble; urgency=high

  * Added Effort plugin (#990 <https://github.com/ros2/rviz/issues/990>)
  * Improve the compilation time of rviz_default_plugins (#1007 <https://github.com/ros2/rviz/issues/1007>)
  * Switch to ament_cmake_vendor_package (#995 <https://github.com/ros2/rviz/issues/995>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rviz-default-plugins (12.6.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-rviz-default-plugins (12.6.0-1noble) noble; urgency=high

  * Modify access specifier to protected or public for the scope of processMessage() member function (#984 <https://github.com/ros2/rviz/issues/984>)
  * Contributors: Hyunseok

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-rviz-default-plugins (12.5.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rviz-default-plugins (12.5.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rviz-default-plugins (12.4.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rviz-default-plugins (12.3.2-1noble) noble; urgency=high

  * Fix ODR errors with gmock (#967 <https://github.com/ros2/rviz/issues/967>)
  * Update Frame shortcut (#958 <https://github.com/ros2/rviz/issues/958>)
  * Contributors: David V. Lu!!, methylDragon

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-rviz-default-plugins (12.3.1-1noble) noble; urgency=high

  * point_marker: fix bug where the number of rendered points accumulates over time (#949 <https://github.com/ros2/rviz/issues/949>)
  * Contributors: AndreasR30

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-rviz-default-plugins (12.3.0-1noble) noble; urgency=high

  * Update rviz to C++17. (#939 <https://github.com/ros2/rviz/issues/939>)
  * Fix tolerance calculation precision (#934 <https://github.com/ros2/rviz/issues/934>)
  * Fix MeshResourceMarker for mesh with color-based embedded material (#928 <https://github.com/ros2/rviz/issues/928>)
  * [rolling] Update maintainers - 2022-11-07 (#923 <https://github.com/ros2/rviz/issues/923>)
  * Contributors: Audrow Nash, Chris Lalancette, Xavier BROQUERE, Xenofon Karamanos

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rviz-default-plugins (12.2.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-rolling-rviz-default-plugins (12.1.0-1noble) noble; urgency=high

  * Add Map Display binary option (#846 <https://github.com/ros2/rviz/issues/846>)
  * Delete frame_locked_markers when reusing marker (#907 <https://github.com/ros2/rviz/issues/907>)
  * Consider region of interest in CameraDisplay (#864 <https://github.com/ros2/rviz/issues/864>)
  * std::copy fix - OccupancyGridUpdate - Data is not being processed correctly (#895 <https://github.com/ros2/rviz/issues/895>)
  * Contributors: AndreasR30, Eric, Patrick Roncagliolo, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rviz-default-plugins (12.0.0-1noble) noble; urgency=high

  * Set error status when duplicate markers are in the same MarkerArray (#891 <https://github.com/ros2/rviz/issues/891>)
  * Make Axes display use latest transform (#892 <https://github.com/ros2/rviz/issues/892>)
  * Show link names in inertia error message (#874 <https://github.com/ros2/rviz/issues/874>)
  * Ogre 1.12.10 upgrade (#878 <https://github.com/ros2/rviz/issues/878>)
  * Use make_shared to construct PointCloud2 (#869 <https://github.com/ros2/rviz/issues/869>)
  * Fix include order (#858 <https://github.com/ros2/rviz/issues/858>)
  * Contributors: Hunter L. Allen, Jacob Perron, Kenji Brameld, Shane Loretz, Timon Engelke

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rviz-default-plugins (11.3.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 Apr 2022 00:00:00 -0000

ros-rolling-rviz-default-plugins (11.2.0-1noble) noble; urgency=high

  * Add far plane distance property to camera (#849 <https://github.com/ros2/rviz/issues/849>)
  * Contributors: Paul

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-rviz-default-plugins (11.1.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 30 Mar 2022 00:00:00 -0000

ros-rolling-rviz-default-plugins (11.1.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Mar 2022 00:00:00 -0000

ros-rolling-rviz-default-plugins (11.0.0-1noble) noble; urgency=high

  * Drop ignition-math6 from rviz_default_plugins link interface (#833 <https://github.com/ros2/rviz/issues/833>)
  * add implementation for cancel interface (#809 <https://github.com/ros2/rviz/issues/809>)
  * Contributors: Chen Lihui, Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rviz-default-plugins (10.0.0-1noble) noble; urgency=high

  * Install headers to include/${PROJECT_NAME} (#829 <https://github.com/ros2/rviz/issues/829>)
  * Remove definition of PLUGINLIB_DISABLE_BOOST. (#821 <https://github.com/ros2/rviz/issues/821>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 16 Feb 2022 00:00:00 -0000

ros-rolling-rviz-default-plugins (9.1.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 25 Jan 2022 00:00:00 -0000

ros-rolling-rviz-default-plugins (9.1.0-1noble) noble; urgency=high

  * Remove TF filter from ImageTransportDisplay (#788 <https://github.com/ros2/rviz/issues/788>)
  * Add underscores to material names (#811 <https://github.com/ros2/rviz/issues/811>)
  * Export image_transport dependency (#813 <https://github.com/ros2/rviz/issues/813>)
  * Contributors: Chen Lihui, Cory Crean, Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-rolling-rviz-default-plugins (9.0.1-1noble) noble; urgency=high

  * Fixes for uncrustify 0.72 (#807 <https://github.com/ros2/rviz/issues/807>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-rviz-default-plugins (9.0.0-1noble) noble; urgency=high

  * Switch to using Qt::MiddleButton for RViz. (#802 <https://github.com/ros2/rviz/issues/802>)
  * Add a tf_buffer_cache_time_ns to tf_wrapper (#792 <https://github.com/ros2/rviz/issues/792>)
  * Make libraries to avoid compiling files multiple times (#774 <https://github.com/ros2/rviz/issues/774>)
  * Computed inertia with ignition-math (#751 <https://github.com/ros2/rviz/issues/751>)
  * Fixed crash when changing rendering parameters for pointcloud2 while 'Selectable' box is unchecked (#768 <https://github.com/ros2/rviz/issues/768>)
  * Robot: Report mesh loading issues (#744 <https://github.com/ros2/rviz/issues/744>)
  * Handle NaN values for Wrench msgs (#746 <https://github.com/ros2/rviz/issues/746>)
  * Triangle lists support textures (#719 <https://github.com/ros2/rviz/issues/719>)
  * Report sample lost events (#686 <https://github.com/ros2/rviz/issues/686>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Gonzo, Greg Balke, Ivan Santiago Paunovic, Shane Loretz, bailaC

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Nov 2021 00:00:00 -0000

ros-rolling-rviz-default-plugins (8.7.0-1noble) noble; urgency=high

  * Fix path message orientation error (#736 <https://github.com/ros2/rviz/issues/736>)
  * Set topic namespace in interactive markers display (#725 <https://github.com/ros2/rviz/issues/725>)
  * mass property visualization (#714 <https://github.com/ros2/rviz/issues/714>)
  * Export InteractiveMarker (#718 <https://github.com/ros2/rviz/issues/718>)
  * Yuv to rgb changes (#701 <https://github.com/ros2/rviz/issues/701>)
  * Extract message type in ImageTransportDisplay (#711 <https://github.com/ros2/rviz/issues/711>)
  * Duplicated code RobotJoint (#702 <https://github.com/ros2/rviz/issues/702>)
  * Don't attempt to moc generate files that don't have QOBJECT. (#690 <https://github.com/ros2/rviz/issues/690>)
  * Switch to including tf2_geometry_msgs.hpp (#689 <https://github.com/ros2/rviz/issues/689>)
  * Contributors: Akash, Alejandro Hernández Cordero, Chris Lalancette, Paul, Rebecca Butler, brian soe, cturcotte-qnx

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 11 Aug 2021 00:00:00 -0000

ros-rolling-rviz-default-plugins (8.6.0-1noble) noble; urgency=high

  * Export Qt5 dependencies properly (#687 <https://github.com/ros2/rviz/issues/687>)
  * Add support for namespace-scoped DELETEALL action in Marker displays (#685 <https://github.com/ros2/rviz/issues/685>)
  * Use image_transport to subscribe to image messages (#523 <https://github.com/ros2/rviz/issues/523>)
  * Contributors: Audrow Nash, ketatam, Martin Idel, Michel Hidalgo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 May 2021 00:00:00 -0000

ros-rolling-rviz-default-plugins (8.5.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-rviz-default-plugins (8.4.0-1noble) noble; urgency=high

  * Add ViewPicker::get3DPatch to the public API (#657 <https://github.com/ros2/rviz/issues/657>)
  * Allow to zoom more with orbit controller (#654 <https://github.com/ros2/rviz/issues/654>)
  * Contributors: Joseph Schornak, Victor Lamoine

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-rviz-default-plugins (8.3.1-1noble) noble; urgency=high

  * Fix possible nullptr access in robot_joint.cpp. (#636 <https://github.com/ros2/rviz/issues/636>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-rviz-default-plugins (8.3.0-1noble) noble; urgency=high

  * Fix for mousewheel to zoom in/out (#623 <https://github.com/ros2/rviz/issues/623>)
  * Make the types explicit in quaternion_helper.hpp. (#625 <https://github.com/ros2/rviz/issues/625>)
  * Update status message by removing colon or adjust colon position (#624 <https://github.com/ros2/rviz/issues/624>)
  * Do not use assume every RenderPanel has a ViewController. (#613 <https://github.com/ros2/rviz/issues/613>)
  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * TimePanel port (#599 <https://github.com/ros2/rviz/issues/599>)
  * Upgrade to tinyxml2 for rviz (#418 <https://github.com/ros2/rviz/issues/418>)
  * Use retriever.hpp (#589 <https://github.com/ros2/rviz/issues/589>)
  * Added covariance settings to set pose estimate (#569 <https://github.com/ros2/rviz/issues/569>)
  * use reference in range loops to avoid copy (#577 <https://github.com/ros2/rviz/issues/577>)
  * Contributors: Chen Lihui, Chris Lalancette, Dirk Thomas, Jacob Perron, Martin Idel, Matthijs den Toom, Michel Hidalgo, Nico Neumann, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-rolling-rviz-default-plugins (8.2.0-1noble) noble; urgency=high

  * Changed to not install test header files in rviz_rendering. (#564 <https://github.com/ros2/rviz/issues/564>)
  * Changed to use a dedicated TransformListener thread. (#551 <https://github.com/ros2/rviz/issues/551>)
  * Suppressed warnings when building with older Qt versions. (#562 <https://github.com/ros2/rviz/issues/562>)
  * Restored compatibility with older Qt versions (#561 <https://github.com/ros2/rviz/issues/561>)
  * Contributors: Chris Lalancette, Dirk Thomas, ymd-stella

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-rolling-rviz-default-plugins (8.1.1-1noble) noble; urgency=high

  * avoid absolute OGRE path in exported targets (#558 <https://github.com/ros2/rviz/issues/558>)
  * Contributors: Dirk Thomas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-rolling-rviz-default-plugins (8.1.0-1noble) noble; urgency=high

  * Added missing virtual destructors (#553 <https://github.com/ros2/rviz/issues/553>)
  * Contributors: Ivan Santiago Paunovic

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-rolling-rviz-default-plugins (8.0.3-1noble) noble; urgency=high

  * Fixed deprecated Qt usage. (#555 <https://github.com/ros2/rviz/issues/555>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 02 Jun 2020 00:00:00 -0000

ros-rolling-rviz-default-plugins (8.0.2-1noble) noble; urgency=high

  * Removed rviz_default_plugins dependency on TinyXML (#531 <https://github.com/ros2/rviz/issues/531>)
    This clears the way for urdf to switch to TinyXML2
    Note that internally, urdf was converting the passed XML to a string and reparsing it in the implementation of ``urdf::model::initXml``
  * Contributors: Dan Rose

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 21 May 2020 00:00:00 -0000

ros-rolling-rviz-default-plugins (8.0.1-1noble) noble; urgency=high

  * Added dependency on ogre to fix building on the buildfarm (#544 <https://github.com/ros2/rviz/issues/544>)
  * Refactored test fixtures to reduce memory usage while compiling (#540 <https://github.com/ros2/rviz/pull/540>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 May 2020 00:00:00 -0000

ros-rolling-rviz-default-plugins (8.0.0-1noble) noble; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Removed duplicate include dirs and link libraries. (#533 <https://github.com/ros2/rviz/issues/533>)
  * Updated includes to use non-entry point headers from detail subdir. (#526 <https://github.com/ros2/rviz/issues/526>)
  * Changed to use ``ament_export_targets()``. (#525 <https://github.com/ros2/rviz/issues/525>)
  * Changed to use the clock from the node in tools. (#519 <https://github.com/ros2/rviz/issues/519>)
  * Changed to allow the MapDisplay "Update Topic" to be changed. (#517 <https://github.com/ros2/rviz/issues/517>)
    The major reason for this is so that the "Update Topic"
    (and more importantly the QoS profile) is saved when clicking
    "Save Config" in RViz2.  The more minor reason is that a user
    *might* want to use a different topic for this.  We still
    auto-populate this field with <topic_name>_updates by default,
    but the user can now override it.
  * Made some code style changes. (#504 <https://github.com/ros2/rviz/issues/504>)
  * Fixed camera info for camera display. (#419 <https://github.com/ros2/rviz/issues/419>)
  * Fixed wrong resource group for robot links. (#495 <https://github.com/ros2/rviz/issues/495>)
  * Changed default goal to ``goal_pose`` and not just in default rviz. (#491 <https://github.com/ros2/rviz/issues/491>)
  * Fixed a bug by setting the clock type if Marker ``frame_locked`` is true. (#482 <https://github.com/ros2/rviz/issues/482>)
    Fixes #479 <https://github.com/ros2/rviz/issues/479>
  * Fixed the map display for moving TF frame. (#483 <https://github.com/ros2/rviz/issues/483>)
    Instead of the current time, use Time(0) to get the latest available transform as a fallback.
    This is the same logic that is applied in RViz from ROS 1.
    Resolves #332 <https://github.com/ros2/rviz/issues/332>
  * Migrated pose with covariance display. (#471 <https://github.com/ros2/rviz/issues/471>)
  * Fixed build when included as a sub-project. (#475 <https://github.com/ros2/rviz/issues/475>)
  * Added icon copyrights + PoseWithCovariance icon. (#430 <https://github.com/ros2/rviz/issues/430>)
  * Contributors: Chris Lalancette, Dan Rose, Dirk Thomas, Jacob Perron, Martin Idel, Michel Hidalgo, Steven Macenski, chapulina

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 01 May 2020 00:00:00 -0000

ros-rolling-rviz-default-plugins (7.0.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-rolling-rviz-default-plugins (7.0.2-1noble) noble; urgency=high

  * Use clock from context in markers (#472 <https://github.com/ros2/rviz/issues/472>)
  * Contributors: Martin Idel

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-rviz-default-plugins (7.0.1-1noble) noble; urgency=high

  * Migrate Axes Display (#429 <https://github.com/ros2/rviz/issues/429>)
  * Contributors: Martin Idel

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-rolling-rviz-default-plugins (7.0.0-1noble) noble; urgency=high

  * Introduce QoS property (#409 <https://github.com/ros2/rviz/issues/409>)
    A container of properties related to QoS settings. Replaces queue size and unreliable properties.
  * Rename interactive marker client enum (#465 <https://github.com/ros2/rviz/issues/465>)
  * Migrate InteractiveMarkerDisplay (#457 <https://github.com/ros2/rviz/issues/457>)
  * Fix map after upgrade (#459 <https://github.com/ros2/rviz/issues/459>)
  * Rename 2d Nav Goal to 2d Goal Pose (#455)
    
    Rename nav pose tool to goal pose tool
    
    Rename topic for goal pose tool from "move_base_simple/goal" to "goal_pose"
  * Do not select interactive markers when mousing over them (#451 <https://github.com/ros2/rviz/issues/451>)
  * Migrate Interaction Tool (#423 <https://github.com/ros2/rviz/issues/423>)
  * Upgrade from Ogre 1.10 to Ogre 1.12.1 (#394 <https://github.com/ros2/rviz/issues/394>)
  * Re-enable use of tf message filter (#375 <https://github.com/ros2/rviz/issues/375>)
  * Fix map display (#425 <https://github.com/ros2/rviz/issues/425>)
  * FrameTransformer implements tf2::BufferCoreInterface and tf2_ros::AsyncBufferInterface (#422 <https://github.com/ros2/rviz/issues/422>)
  * Disambiguate "estimate" pose from "goal" pose in log (#427 <https://github.com/ros2/rviz/issues/427>)
  * Mojave compatibility (#414 <https://github.com/ros2/rviz/issues/414>)
  * Use geometry_msgs types instead of custom types (#426 <https://github.com/ros2/rviz/issues/426>)
  * Remove -Werror from defualt compiler options (#420 <https://github.com/ros2/rviz/issues/420>)
  * Migrate Wrench Display (#396 <https://github.com/ros2/rviz/issues/396>)
  * Contributors: Dan Rose, Hunter L. Allen, Jacob Perron, Karsten Knese, Martin Idel, Shivesh Khaitan, Steven Macenski

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 27 Sep 2019 00:00:00 -0000

ros-rolling-rviz-default-plugins (6.1.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 29 May 2019 00:00:00 -0000

ros-rolling-rviz-default-plugins (6.1.0-1noble) noble; urgency=high

  * Updated to use the new specification for types from the ROS node graph API. (#387 <https://github.com/ros2/rviz/issues/387>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 20 May 2019 00:00:00 -0000

ros-rolling-rviz-default-plugins (6.0.0-1noble) noble; urgency=high

  * Made changes to avoid newly deprecated API's related to publishers and subscriptions. (#399 <https://github.com/ros2/rviz/issues/399>)
  * Made changes to avoid newly deprecated API's related to publish calls that used ``shared_ptr``. signature (#398 <https://github.com/ros2/rviz/issues/398>)
  * Changed to use the ``ament_include_directories_order`` macro to ensure header include path ordering is correct. (#384 <https://github.com/ros2/rviz/issues/384>)
  * Made changes to fix interoperability with ``robot_state_publisher``. #14 <https://github.com/ros2/rviz/issues/14> (#378 <https://github.com/ros2/rviz/issues/378>)
  * Contributors: Karsten Knese, William Woodall, ivanpauno

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 08 May 2019 00:00:00 -0000

ros-rolling-rviz-default-plugins (5.1.0-1noble) noble; urgency=high

  * Migrate scalar displays, i.e. temperature, illuminance, relative humidity, and fluid pressure (#367 <https://github.com/ros2/rviz/issues/367>)
  * Fix errors from uncrustify v0.68 (#366 <https://github.com/ros2/rviz/issues/366>)
  * Visibility followup for Swatch marker (#297 <https://github.com/ros2/rviz/issues/297>)
  * Contributors: GW1708, Jacob Perron, Martin Idel, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 14 Jan 2019 00:00:00 -0000

ros-rolling-rviz-default-plugins (5.0.0-1noble) noble; urgency=high

  * Export libraries to trigger hooks. (#358 <https://github.com/ros2/rviz/issues/358>)
  * Made the transformation framework used by rviz pluggable. (#346 <https://github.com/ros2/rviz/issues/346>)
  * Added hotkeys (also to help) (#312 <https://github.com/ros2/rviz/issues/312>)
  * Migrated Range Display (#325 <https://github.com/ros2/rviz/issues/325>)
  * Migrated pose estimate tool (#329 <https://github.com/ros2/rviz/issues/329>)
  * Increased visual testing stability (#344 <https://github.com/ros2/rviz/issues/344>)
  * Fixed laserscan 1 meter limit bug (#345 <https://github.com/ros2/rviz/issues/345>)
  * Changed to always build all tests and skip execution if not supported (#342 <https://github.com/ros2/rviz/issues/342>)
  * Minor cleanup and fixes (#336 <https://github.com/ros2/rviz/issues/336>)
    * Fix environment for colcon builds (no appends necessary)
    * Fix warning in visual_test_fixture.cpp and add -Werror option in CMakeLists.txt
    * Fix Qt moc warning for virtual signal
  * Fixed missing status in laser scan display (#335 <https://github.com/ros2/rviz/issues/335>)
    * Show status error when transform failed
  * Changes due to uncrustify 0.67 (#333 <https://github.com/ros2/rviz/issues/333>)
    * fix closing block and tamplete indentation to comply with uncrustify 0.67
    * add space between reference and variable name
    * space before opening bracket
    * fix indend of inherited class
    * fix indent of code blocks
    * no space around -> operator
    * restore original spacing
  * Contributors: Alessandro Bottero, Andreas Greimel, Martin Idel, Mikael Arguedas, Steven! Ragnarök, eric1221bday

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 04 Dec 2018 00:00:00 -0000

ros-rolling-rviz-default-plugins (4.0.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 28 Jun 2018 00:00:00 -0000

ros-rolling-rviz-default-plugins (4.0.0-1noble) noble; urgency=high

  * Polished selection behavior. (#315 <https://github.com/ros2/rviz/issues/315>)
  * Suppressed a warning when disabling a map display. (#320 <https://github.com/ros2/rviz/issues/320>)
  * Fixed point cloud selection. (#307 <https://github.com/ros2/rviz/issues/307>)
  * Fixed a segfault for tf on Windows. (#310 <https://github.com/ros2/rviz/issues/310>)
  * Added a warning when the ``camera_info`` is missing. (#311 <https://github.com/ros2/rviz/issues/311>)
  * Polished tests and migrate or delete old tests. (#289 <https://github.com/ros2/rviz/issues/289>)
  * Migrated the map display. (#267 <https://github.com/ros2/rviz/issues/267>)
  * Migrated the Marker Array display. (#296 <https://github.com/ros2/rviz/issues/296>)
  * Migrated the 2D Nav Goal tool. (#294 <https://github.com/ros2/rviz/issues/294>)
  * Migrated the Third Person Follower View Controller. (#295 <https://github.com/ros2/rviz/issues/295>)
  * Implemented a workaround for the missing identity transform when transforming from a frame to itself. (#298 <https://github.com/ros2/rviz/issues/298>)
  * Migrated the GridCells display. (#286 <https://github.com/ros2/rviz/issues/286>)
  * Migrated the fps camera view controller. (#281 <https://github.com/ros2/rviz/issues/281>)
  * Migrated the point stamped display. (#278 <https://github.com/ros2/rviz/issues/278>)
  * Fixed the splash screen and the help panel. (#277 <https://github.com/ros2/rviz/issues/277>)
  * Migrated the odometry display. (#275 <https://github.com/ros2/rviz/issues/275>)
  * Migrated the focus tool. (#266 <https://github.com/ros2/rviz/issues/266>)
  * Homogenized behavior of rviz when a tf transform fails. (#292 <https://github.com/ros2/rviz/issues/292>)
  * Updated rviz to only use a single ros node. (#197 <https://github.com/ros2/rviz/issues/197>)
  * Migrated XYOrbit View Controller. (#282 <https://github.com/ros2/rviz/issues/282>)
  * Fixed a segfault in the selection manager tests. (#284 <https://github.com/ros2/rviz/issues/284>)
  * Fixed some of the ``plugins_description`` entities. (#285 <https://github.com/ros2/rviz/issues/285>)
  * Migrated the orthographic view controller. (#270 <https://github.com/ros2/rviz/issues/270>)
  * Migrated the measure tool. (#264 <https://github.com/ros2/rviz/issues/264>)
  * Migrated the publish point tool. (#262 <https://github.com/ros2/rviz/issues/262>)
  * Added message type to MarkerDisplay plugin description. (#252 <https://github.com/ros2/rviz/issues/252>)
  * Finished point cloud refactoring and testing. (#250 <https://github.com/ros2/rviz/issues/250>)
  * Improved visual testing framework and added visual tests. (#259 <https://github.com/ros2/rviz/issues/259>)
  * Fixed debug build on macOS. (#258 <https://github.com/ros2/rviz/issues/258>)
  * Fixed a build error for ignored qualifiers warning/error on GCC8. (#261 <https://github.com/ros2/rviz/issues/261>)
  * Migrated the select tool. (#256 <https://github.com/ros2/rviz/issues/256>)
  * Disabled Ogre deprecation warnings on Windows. (#242 <https://github.com/ros2/rviz/issues/242>)
  * Introduced visual testing framework for rviz. (#209 <https://github.com/ros2/rviz/issues/209>)
  * Fixed "display" tests and enable when the test environment allows. (#186 <https://github.com/ros2/rviz/issues/186>)
  * Migrated the LaserScan display. (#238 <https://github.com/ros2/rviz/issues/238>)
  * Restored the use of icons throughout rviz. (#235 <https://github.com/ros2/rviz/issues/235>)
  * Migrated the Path display. (#236 <https://github.com/ros2/rviz/issues/236>)
  * Migrated the pose array display. (#233 <https://github.com/ros2/rviz/issues/233>)
  * Migrated the marker display. (#229 <https://github.com/ros2/rviz/issues/229>)
  * Migrated the Pose display. (#204 <https://github.com/ros2/rviz/issues/204>)
  * Changed the default position of the camera in the RenderPanel. (#205 <https://github.com/ros2/rviz/issues/205>)
  * Migrated the RobotModel display. (#210 <https://github.com/ros2/rviz/issues/210>)
  * Fixed warnings from pluginlib. (#196 <https://github.com/ros2/rviz/issues/196>)
  * Fixed a bug which caused rviz to crash when removing a display. (#191 <https://github.com/ros2/rviz/issues/191>)
  * Refactored the Grid display. (#165 <https://github.com/ros2/rviz/issues/165>)
  * Contributors: Alessandro Bottero, Andreas Greimel, Andreas Holzner, Dirk Thomas, Martin Idel, Mikael Arguedas, Steven! Ragnarök, William Woodall, mjbogusz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 27 Jun 2018 00:00:00 -0000

ros-rolling-rviz-default-plugins (3.0.0-1noble) noble; urgency=high

  * Fixed compilation errors and runtime issues on Windows. (#175 <https://github.com/ros2/rviz/issues/175>)
  * Migrated the camera display. (#183 <https://github.com/ros2/rviz/issues/183>)
  * Migrated the tf display. (#182 <https://github.com/ros2/rviz/issues/182>)
  * Migrated the Image display. (#164 <https://github.com/ros2/rviz/issues/164>)
  * Migrated code for point cloud displays to ``rviz_default_plugins``. (#153 <https://github.com/ros2/rviz/issues/153>)
  * Fixed a bug where the PointCloud2 display was not accepting valid points. (#189 <https://github.com/ros2/rviz/issues/189>)
  * Migrated the polygon display. (#194 <https://github.com/ros2/rviz/issues/194>)
  * Contributors: William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 07 Feb 2018 00:00:00 -0000

ros-rolling-rviz-default-plugins (2.0.0-1noble) noble; urgency=high

  * First version for ROS 2.
  * Contributors: Steven! Ragnarok, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 08 Dec 2017 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.12.11-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Aug 2017 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.12.10-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 Jun 2017 17:37:00 -0000

ros-rolling-rviz-default-plugins (1.12.9-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 Jun 2017 14:23:00 -0000

ros-rolling-rviz-default-plugins (1.12.8-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 07 May 2017 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.12.7-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 05 May 2017 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.12.6-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 02 May 2017 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.12.5-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 01 May 2017 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.12.4-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 27 Oct 2016 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.12.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 19 Oct 2016 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.12.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 18 Oct 2016 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.12.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 20 Apr 2016 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.12.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 11 Apr 2016 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.11.14-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 03 Apr 2016 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.11.13-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 23 Mar 2016 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.11.12-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 22 Mar 2016 19:58:00 -0000

ros-rolling-rviz-default-plugins (1.11.11-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 22 Mar 2016 18:16:00 -0000

ros-rolling-rviz-default-plugins (1.11.10-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Oct 2015 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.11.9-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Sep 2015 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.11.8-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 05 Aug 2015 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.11.7-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 02 Mar 2015 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.11.6-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 13 Feb 2015 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.11.5-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 11 Feb 2015 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.11.4-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 30 Oct 2014 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.11.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 26 Jun 2014 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.11.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 May 2014 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.11.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 01 May 2014 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.11.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 04 Mar 2014 21:40:00 -0000

ros-rolling-rviz-default-plugins (1.10.14-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 04 Mar 2014 21:35:00 -0000

ros-rolling-rviz-default-plugins (1.10.13-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 Feb 2014 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.10.12-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 25 Feb 2014 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.10.11-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 26 Jan 2014 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.10.10-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 22 Dec 2013 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.10.9-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 15 Oct 2013 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.10.7-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 16 Sep 2013 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.10.6-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 03 Sep 2013 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.10.5-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 28 Aug 2013 03:50:00 -0000

ros-rolling-rviz-default-plugins (1.10.4-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 28 Aug 2013 03:13:00 -0000

ros-rolling-rviz-default-plugins (1.10.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 14 Aug 2013 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.10.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 26 Jul 2013 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.10.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 16 Jul 2013 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.10.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 27 Jun 2013 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.9.30-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 30 May 2013 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.9.29-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 15 Apr 2013 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.9.27-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 15 Mar 2013 13:23:00 -0000

ros-rolling-rviz-default-plugins (1.9.26-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 15 Mar 2013 10:38:00 -0000

ros-rolling-rviz-default-plugins (1.9.25-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Mar 2013 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.9.24-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 16 Feb 2013 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.9.23-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 13 Feb 2013 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.9.22-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 12 Feb 2013 16:30:00 -0000

ros-rolling-rviz-default-plugins (1.9.21-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 12 Feb 2013 14:00:00 -0000

ros-rolling-rviz-default-plugins (1.9.20-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Jan 2013 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.9.19-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 13 Jan 2013 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.9.18-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 18 Dec 2012 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.9.17-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Dec 2012 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.9.16-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 14 Nov 2012 15:49:00 -0000

ros-rolling-rviz-default-plugins (1.9.15-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Nov 2012 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.9.14-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 14 Nov 2012 02:20:00 -0000

ros-rolling-rviz-default-plugins (1.9.13-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 14 Nov 2012 00:58:00 -0000

ros-rolling-rviz-default-plugins (1.9.12-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 06 Nov 2012 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.9.11-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 02 Nov 2012 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.9.10-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 01 Nov 2012 11:10:00 -0000

ros-rolling-rviz-default-plugins (1.9.9-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 01 Nov 2012 11:01:00 -0000

ros-rolling-rviz-default-plugins (1.9.8-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 01 Nov 2012 10:52:00 -0000

ros-rolling-rviz-default-plugins (1.9.7-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 01 Nov 2012 10:40:00 -0000

ros-rolling-rviz-default-plugins (1.9.6-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 31 Oct 2012 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.9.5-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 19 Oct 2012 00:00:00 -0000

ros-rolling-rviz-default-plugins (1.9.4-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 15 Oct 2012 15:00:00 -0000

ros-rolling-rviz-default-plugins (1.9.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 15 Oct 2012 10:41:00 -0000

ros-rolling-rviz-default-plugins (1.9.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 12 Oct 2012 13:38:00 -0000

ros-rolling-rviz-default-plugins (1.9.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 12 Oct 2012 11:57:00 -0000

ros-rolling-rviz-default-plugins (1.9.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 10 Oct 2012 00:00:00 -0000


